Get history

Prev Next

Available in Classic and VPC

Get the list of conversion histories (versions) for an e-map or robot map at a specific location. If conversion tasks were performed multiple times for the same location, each successful conversion is recorded as a separate version. The response is returned sorted in descending order by version number.

Preliminary steps

The preliminary steps for using Map Data - Get history API are as follows:

1. Create e-map or robot map

In the console, perform the e-map creation or robot map creation task for the target top-level location and complete it until it reaches the Success status. For more information, see the ARC eye user guide.

2. Issue secret key

In the NAVER Cloud Platform console, go to Menu > Services > Digital Twin > ARC eye > Visual Localization > Data Management and click [Create] of Secret Key in the task details of the target Emapper or RobotMap to obtain a secret key dedicated to Map Data. For more information, see the ARC eye user guide.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /map-data/v1/{projectId}/{signature}/{task}/versions
Note

It calls by replacing the final path /download-urls of the URL from the Get download URL API under Common ARC eye settings > APIURL with /versions.

Request headers

For information about the headers common to all ARC eye APIs, see ARC eye request headers.

Request path variables

The following describes the request path variables.

Field Type Required Description
projectId Number Required Project ID
  • Available on the download URL query page
signature String Required Project signature value
  • Available on the download URL query page
task String Required Target task type
  • emapper | robot-map
  • Available on the download URL query page

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
locationId Number Required Target location ID

Request example

The request example is as follows:

curl --location --request GET '{InvokeURL}?locationId=2001' \
--header 'X-ARCEYE-SECRET: {SecretKey}'

Response

This section describes the response format.

Response body (success)

The following describes the response body when the query is successful.

Field Type Required Description
versions Array - List of conversion versions for the location
  • Sorted in descending order by version number
: versions

versions

The following describes versions.

Field Type Required Description
version Number - Version number
  • The higher the value, the newer the version.
createdAt String - Date and time the version was created

Response example

The response example is as follows:

Succeeded

The following is a sample response upon a successful query.

{
  "versions": [
    {
      "version": 3,
      "createdAt": "2026-04-21 16:57:58"
    },
    {
      "version": 2,
      "createdAt": "2026-04-20 12:35:25"
    },
    {
      "version": 1,
      "createdAt": "2026-04-17 11:55:48"
    }
  ]
}
Note

For response bodies and response examples when API calls fail, see ARC eye overview.